You are not logged in.

#1 2021-09-15 06:41:59

Lenry
Member
From: Szeged, Hungary
Registered: 2010-03-27
Posts: 62
Website

Can't remove old DKMS modules

Hi

The problem is basically this:

[root@Echo-Three lenry]# dkms status
nvidia/390.144, 5.14.3-arch1-1, x86_64: installed
vboxhost/6.1.26_OSE, 5.13.13-arch1-1, x86_64: installed (WARNING! Missing some built modules!) (WARNING! Missing some built modules!) (WARNING! Missing some built modules!)
vboxhost/6.1.26_OSE, 5.14.2-arch1-2, x86_64: installed (WARNING! Missing some built modules!) (WARNING! Missing some built modules!) (WARNING! Missing some built modules!)
vboxhost/6.1.26_OSE, 5.14.3-arch1-1, x86_64: installed
[root@Echo-Three lenry]# dkms remove -m vboxhost -v 6.1.26_OSE -k 5.13.13-arch1-1
Error! There is no instance of vboxhost 6.1.26_OSE for kernel 5.13.13-arch1-1 (x86_64) located in the DKMS tree.
[root@Echo-Three lenry]# dkms uninstall -m vboxhost -v 6.1.26_OSE -k 5.13.13-arch1-1
Error! The module vboxhost 6.1.26_OSE is not currently installed.
This module is not currently ACTIVE for kernel 5.13.13-arch1-1 (x86_64).

So I can't uninstall it, as it's not active, and can't remove it, as it's seems to be not there...
How can I get rid of these old DKMS modules?

Offline

#2 2021-09-15 07:48:24

darash
Member
Registered: 2021-09-15
Posts: 1

Re: Can't remove old DKMS modules

Try remove all virtualbox, nvidia-390xx-dkms, dkms and also delete /var/lib/dkms/ folder, and reinstall again all these packages. Maybe there is an easier way, but only this way helped me.

Offline

#3 2021-09-15 23:55:24

Sinistar
Member
Registered: 2021-01-02
Posts: 7

Re: Can't remove old DKMS modules

There was a typo in DKMS hook.sh, fixed three days ago, if you update it should work now.

Last edited by Sinistar (2021-09-16 00:09:31)

Offline

#4 2021-09-24 13:34:10

fanlusi
Member
Registered: 2015-10-20
Posts: 4

Re: Can't remove old DKMS modules

Sinistar wrote:

There was a typo in DKMS hook.sh, fixed three days ago, if you update it should work now.

I had upgrade DKMS but the status is the same as Lenry's.

$ pacman -Qs dkms
local/dkms 2.8.6-2
    Dynamic Kernel Modules System

$ dkms status
nvidia/470.74, 5.14.7-arch1-1, x86_64: installed
vboxhost/6.1.26_OSE, 5.13.13-arch1-1, x86_64: installed (WARNING! Missing some built modules!) (WARNING! Missing some built modules!) (WARNING! Missing some built modules!)
vboxhost/6.1.26_OSE, 5.14.7-arch1-1, x86_64: installed

$ sudo dkms uninstall -m vboxhost -v 6.1.26_OSE -k 5.13.13-arch1-1
Error! The module vboxhost 6.1.26_OSE is not currently installed.
This module is not currently ACTIVE for kernel 5.13.13-arch1-1 (x86_64).

Offline

#5 2021-10-12 11:54:21

rfried123
Member
Registered: 2021-08-01
Posts: 3

Re: Can't remove old DKMS modules

Same here with v4l2loopback module:

$ dkms status
v4l2loopback/0.12.5, 5.10.70-1-MANJARO, x86_64: installed
v4l2loopback/0.12.5, 5.11.22-2-MANJARO, x86_64: installed (WARNING! Missing some built modules!)
v4l2loopback/0.12.5, 5.13.19-2-MANJARO, x86_64: installed
v4l2loopback/0.12.5, 5.14.10-1-MANJARO, x86_64: installed
v4l2loopback/0.12.5, 5.4.150-1-MANJARO, x86_64: installed

$ dkms uninstall -m "v4l2loopback/0.12.5" -k "5.11.22-2-MANJARO/x86_64"
Error! The module v4l2loopback 0.12.5 is not currently installed.
This module is not currently ACTIVE for kernel 5.11.22-2-MANJARO (x86_64).
$ dkms uninstall -m "v4l2loopback" -v "0.12.5" -k "5.11.22-2-MANJARO/x86_64"
Error! The module v4l2loopback 0.12.5 is not currently installed.
This module is not currently ACTIVE for kernel 5.11.22-2-MANJARO (x86_64).
$ dkms uninstall -m "v4l2loopback" -v "0.12.5" -k "5.11.22-2-MANJARO"
Error! The module v4l2loopback 0.12.5 is not currently installed.
This module is not currently ACTIVE for kernel 5.11.22-2-MANJARO (x86_64).

Offline

Board footer

Powered by FluxBB